# VerifyActivatedLicenseFile

### Description

Parses the license file generated by the License Server, validates its signature and populates the ILicenseInfo object.

```csharp
ILicenseInfo VerifyActivatedLicenseFile(string activationKey, string computerKey, string computerID, 
                                               out string errorMessage)
```

### Arguments

| Name          | Data Type | Description                                              |
| ------------- | :-------: | -------------------------------------------------------- |
| activationKey |   string  | the activation key                                       |
| computerKey   |   string  | the computer key                                         |
| computerID    |   string  | ID of the computer where the license is being validated. |
| errorMessage  |   string  | error message if the operation failed.                   |

### Return

| Data Type | Description                               |
| :-------: | ----------------------------------------- |
|   string  | the content of the activated license file |

### Remarks

If the license file is not found or is not valid, this function will try to download a new license file from the server.

This function is intended to be used in conjunction with license keys. In addition to validating the license file, it validates that the provided activation key and computer key match the keys in the license file.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/verifyactivatedlicensefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
